Bug 247364 - www/pecl-solr does not build with php 7.4
Summary: www/pecl-solr does not build with php 7.4
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-17 23:55 UTC by hagabard
Modified: 2020-07-11 17:26 UTC (History)
2 users (show)

See Also:
gaod: maintainer-feedback+


Attachments
solr_types.h patch for port (263 bytes, text/plain)
2020-06-17 23:55 UTC, hagabard
no flags Details
php74-pecl-solr-2.5.0.log from poudriere (65.23 KB, text/plain)
2020-06-17 23:59 UTC, hagabard
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description hagabard 2020-06-17 23:55:55 UTC
Created attachment 215681 [details]
solr_types.h patch for port

There is no ulong typedef.

I submitted a bug @ php.net as well

https://bugs.php.net/bug.php?id=79708

To make this work, the patch can be dropped in the files/ directory.  I had to edit the Makefile because it is set to ignore PHP 7.4, and I also had to add configure arguments to have poudriere build it:  

CONFIGURE_ARGS= LIBXML_CFLAGS=-I/usr/local/include/libxml2 LIBXML_LIBS=-L/usr/local/include/libxml2
Comment 1 hagabard 2020-06-17 23:59:14 UTC
Created attachment 215682 [details]
php74-pecl-solr-2.5.0.log from poudriere
Comment 2 Li-Wen Hsu freebsd_committer 2020-06-18 06:42:43 UTC
Reopen, accidentally closed this one.
Comment 3 Hung-Yi Chen 2020-07-11 17:25:48 UTC
I'm fine with it, please commit it. Thanks.